#import <objc/runtime.h>
#import "allincludes.h"
#import <NFIUtility/CallbackSupport.h>
#import <NFIUtility/PointerSupport.h>
#pragma clang diagnostic push
#pragma clang diagnostic ignored "-Wformat-security"
#pragma clang diagnostic ignored "-Wdeprecated-declarations"
#pragma clang diagnostic ignored "-Wincompatible-pointer-types"
#pragma clang diagnostic ignored "-Wnullability-completeness"
@implementation AppICEKonyPlugin (Exports)
+(void) jssynchronizeInbox: (JSValue *) successCallback : (int) timeoutinSec 
{
	void (^ successCallback_)(NSArray * ) = nil;
	if (!successCallback.isUndefined) {
		successCallback_ = ^void(NSArray * arg0) {
			JSContext* __jsContext = successCallback.context;
			NSMutableArray* parameters = [NSMutableArray array];
			[parameters addObject: (arg0 ? [JSValue valueWithObject: arg0 inContext: __jsContext] : [JSValue valueWithUndefinedInContext: __jsContext])];
			callJSFunction(__jsContext, successCallback, self, parameters);
		};
	}
	[self synchronizeInbox: successCallback_ : timeoutinSec ];
}
+(void) jssynchronizeAppInbox: (JSValue *) CallBack : (int) timeoutinSec 
{
	void (^ CallBack_)(BOOL) = nil;
	if (!CallBack.isUndefined) {
		CallBack_ = ^void(BOOL arg0) {
			JSContext* __jsContext = CallBack.context;
			NSMutableArray* parameters = [NSMutableArray array];
			[parameters addObject: [JSValue valueWithObject: @(arg0) inContext: __jsContext]];
			callJSFunction(__jsContext, CallBack, self, parameters);
		};
	}
	[self synchronizeAppInbox: CallBack_ : timeoutinSec ];
}
+(void) jssendClickCallback: (JSValue *) callbackValue 
{
	void (^ callbackValue_)(NSArray * ) = nil;
	if (!callbackValue.isUndefined) {
		callbackValue_ = ^void(NSArray * arg0) {
			JSContext* __jsContext = callbackValue.context;
			NSMutableArray* parameters = [NSMutableArray array];
			[parameters addObject: (arg0 ? [JSValue valueWithObject: arg0 inContext: __jsContext] : [JSValue valueWithUndefinedInContext: __jsContext])];
			callJSFunction(__jsContext, callbackValue, self, parameters);
		};
	}
	[self sendClickCallback: callbackValue_ ];
}
+(void) jssetClickCallback: (JSValue *) CallBack 
{
	void (^ CallBack_)(NSDictionary * ) = nil;
	if (!CallBack.isUndefined) {
		CallBack_ = ^void(NSDictionary * arg0) {
			JSContext* __jsContext = CallBack.context;
			NSMutableArray* parameters = [NSMutableArray array];
			[parameters addObject: (arg0 ? [JSValue valueWithObject: arg0 inContext: __jsContext] : [JSValue valueWithUndefinedInContext: __jsContext])];
			callJSFunction(__jsContext, CallBack, self, parameters);
		};
	}
	[self setClickCallback: CallBack_ ];
}
@end
static void addProtocols()
{
	class_addProtocol([AppICEKonyPlugin class], @protocol(AppICEKonyPluginInstanceExports));
	class_addProtocol([AppICEKonyPlugin class], @protocol(AppICEKonyPluginClassExports));
}
static void registerCFunctions(JSContext* context)
{
}
static void registerEnumConstants(JSContext* context)
{
}
static void registerGlobalConstants(JSContext* context)
{
	void* p; p = NULL;
}
void load_libkonywrapper_AppICEKonyPlugin_symbols(JSContext* context)
{
    addProtocols();
    registerEnumConstants(context);
    registerCFunctions(context);
    registerGlobalConstants(context);
}
#pragma clang diagnostic pop
